#version 330

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 velocity;
layout (location = 2) in vec3 color;
layout (location = 3) in float lifetime;
layout (location = 4) in float timeleft;
layout (location = 5) in float size;
layout (location = 6) in int type;

out vec3 position_Pass;
out vec3 velocity_Pass;
out vec3 color_Pass;
out float lifetime_Pass;
out float timeleft_Pass;
out float size_Pass;
out int type_Pass;

void main()
{
  position_Pass = position;
  velocity_Pass = velocity;
  color_Pass = color;
  lifetime_Pass = lifetime;
  timeleft_Pass = timeleft;
  size_Pass = size;
  type_Pass = type;
}